Subject: Re: P-70 douglas night fighter
From: "Steve Bamford" <[email-masked]>
To: "Yuval Kizner" <[email-masked]>
Date: Mon, 13 Jan 2003 01:18:19 -0800

----- Original Message ----- 
  From: Yuval Kizner 
  To: Steve Bamford 
  Sent: Saturday, December 14, 2002 1:04 PM
  Subject: P-70 douglas night fighter

  Dear Steve !

  I am sending you some photos of my P-70 NIGHT FIGHTER  1/48 BY AMT/ertl , which I built a few years ago.
  The model is straight from the box , I used Model Master colours and tried to show some weathering in the
  model .I hope you can get the idea of weathering of the black camouflage .
  It would be nice to see my model in your site .
  All the best .
  Yuval Kizner .